> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List brands with offers visible to this consumer in the program's catalog.



## OpenAPI

````yaml /program/api/openapi/2.0.0/perks/openapi.json get /perks/consumers/{consumer_id}/brands
openapi: 3.1.0
info:
  description: |
    Paylead Program API.
    You can find complete documentation in https://docs.paylead.com/
  license:
    name: Proprietary
    url: https://docs.paylead.com/
  title: Perks
  version: 2.0.0
servers:
  - description: Sandbox
    url: https://api-{programRef}.sandbox.paylead.tech
    variables:
      programRef:
        default: changeme
        description: Program reference provided by Paylead
security:
  - oauth2: []
tags:
  - description: Routes used to query consumers resources
    name: Consumers
    x-displayName: Consumers
  - name: UPM
    x-displayName: UPM
  - name: Brands
    x-displayName: Brands
  - name: KYC
    x-displayName: KYC
  - name: Offers
    x-displayName: Offers
  - name: Rewards
    x-displayName: Rewards
  - name: Segments
    x-displayName: Segments
  - name: Voucher Orders
    x-displayName: Voucher Orders
paths:
  /perks/consumers/{consumer_id}/brands:
    get:
      tags:
        - Brands
      summary: >-
        List brands with offers visible to this consumer in the program's
        catalog.
      operationId: perks__consumers__consumer_id__brands__get
      parameters:
        - in: path
          name: consumer_id
          required: true
          schema:
            example: consumer-12345
            examples:
              - consumer-12345
            maxLength: 100
            minLength: 2
            pattern: ^[a-zA-Z0-9_-]+$
            title: Consumer Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: per_page
          required: false
          schema:
            default: 50
            maximum: 1000
            minimum: 1
            title: Per Page
            type: integer
        - description: Filter brands by name (case-insensitive partial match).
          in: query
          name: name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter brands by name (case-insensitive partial match).
            example: nike
            examples:
              - nike
            title: Name
        - description: Filter brands by universe name (case-insensitive partial match).
          in: query
          name: universe__name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter brands by universe name (case-insensitive partial match).
            example: fashion
            examples:
              - fashion
            title: Universe  Name
        - description: When true, only return brands with active cashback offers.
          in: query
          name: perks__cashbacks
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: When true, only return brands with active cashback offers.
            example: true
            examples:
              - true
            title: Perks  Cashbacks
        - description: When true, only return brands with active voucher offers.
          in: query
          name: perks__vouchers
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: When true, only return brands with active voucher offers.
            example: true
            examples:
              - true
            title: Perks  Vouchers
        - examples:
            default:
              value: 2.0.0
          in: header
          name: x-api-version
          required: true
          schema:
            default: 2.0.0
            title: X-Api-Version
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Perks_Page_BrandSchema_'
          description: Successful Response
        '400':
          content:
            application/json:
              example:
                code: PL-400-00
                errors:
                  - loc:
                      - body
                      - field
                    msg: Field required
                    type: missing
                instance: /path/of/the/request
                status: 400
                title: Bad Request
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                PL-401-00:
                  summary: Unauthorized
                  value:
                    code: PL-401-00
                    status: 401
                    title: Unauthorized
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              examples:
                PL-404-02:
                  summary: Consumer Not Enrolled
                  value:
                    code: PL-404-02
                    status: 404
                    title: Consumer Not Enrolled
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
components:
  schemas:
    Perks_Page_BrandSchema_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Perks_BrandSchema'
          title: Items
          type: array
        meta:
          $ref: '#/components/schemas/Perks_PageMeta'
      required:
        - items
        - meta
      title: Page[BrandSchema]
      type: object
    ErrorResponse:
      additionalProperties: false
      description: >-
        An error response object (PayLead profile).


        Extension members (e.g. ``errors`` for validation) are allowed and
        serialised as

        top-level keys.
      properties:
        code:
          description: Error code describing the issue
          example: PL-4XX-YY
          title: Code
          type: string
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          default: null
          description: A list of individual error occurrences found
          example:
            - loc:
                - body
                - field
              msg: Field required
              type: missing
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: A URI reference to the problematic resource
          example: api/resource/424242
          title: Instance
        status:
          description: HTTP code returned by the API
          example: 400
          title: Status
          type: integer
        title:
          description: Description of the issue
          example: The request was invalid.
          title: Title
          type: string
      required:
        - code
        - title
        - status
      title: ErrorResponse
      type: object
    Perks_BrandSchema:
      properties:
        id:
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
          examples:
            - 3fa85f64-5717-4562-b3fc-2c963f66afa6
          format: uuid
          title: Id
          type: string
        logo:
          $ref: '#/components/schemas/Perks_LogoSchema'
        name:
          example: Nike
          examples:
            - Nike
          title: Name
          type: string
        perks:
          $ref: '#/components/schemas/Perks_BrandPerksSchema'
        universe:
          anyOf:
            - $ref: '#/components/schemas/Perks_UniverseSchema'
            - type: 'null'
      required:
        - id
        - name
        - perks
        - logo
      title: BrandSchema
      type: object
    Perks_PageMeta:
      properties:
        page:
          example: 1
          examples:
            - 1
          title: Page
          type: integer
        per_page:
          example: 50
          examples:
            - 50
          title: Per Page
          type: integer
        total:
          example: 137
          examples:
            - 137
          title: Total
          type: integer
      required:
        - page
        - per_page
        - total
      title: PageMeta
      type: object
    Perks_LogoSchema:
      properties:
        url:
          anyOf:
            - format: uri
              maxLength: 2083
              minLength: 1
              type: string
            - type: 'null'
          description: >-
            Absolute CDN URL of the image; null when there is none or no CDN is
            configured.
          example: https://static.sandbox.paylead.fr/123455.jpeg
          examples:
            - https://static.sandbox.paylead.fr/123455.jpeg
          title: Url
      title: LogoSchema
      type: object
    Perks_BrandPerksSchema:
      properties:
        cashback:
          anyOf:
            - $ref: '#/components/schemas/Perks_BrandCashbackPerksSchema'
            - type: 'null'
        voucher:
          anyOf:
            - $ref: '#/components/schemas/Perks_BrandVoucherPerksSchema'
            - type: 'null'
      title: BrandPerksSchema
      type: object
    Perks_UniverseSchema:
      properties:
        id:
          example: 8f14e45f-ceea-467a-9e1b-2c8f9a0d1e23
          examples:
            - 8f14e45f-ceea-467a-9e1b-2c8f9a0d1e23
          format: uuid
          title: Id
          type: string
        name:
          example: Fashion
          examples:
            - Fashion
          title: Name
          type: string
      required:
        - id
        - name
      title: UniverseSchema
      type: object
    Perks_BrandCashbackPerksSchema:
      properties:
        max_cashback_rate:
          description: >-
            Highest cashback rate among the brand's visible offers, as a
            percentage (e.g. 5.00 for 5%).
          example: '5.00'
          examples:
            - '5.00'
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Max Cashback Rate
          type: string
      required:
        - max_cashback_rate
      title: BrandCashbackPerksSchema
      type: object
    Perks_BrandVoucherPerksSchema:
      properties:
        max_discount_rate:
          description: >-
            Highest voucher discount rate among the brand's visible offers, as a
            percentage.
          example: '7.50'
          examples:
            - '7.50'
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Max Discount Rate
          type: string
      required:
        - max_discount_rate
      title: BrandVoucherPerksSchema
      type: object
  securitySchemes:
    oauth2:
      flows:
        clientCredentials:
          scopes:
            ALL: Full access to all resources (wildcard).
            LOYALTIES: Access to loyalties features.
            PERKS: Access to perks features.
            TX_INJECTION: Access to transaction sharing.
          tokenUrl: /tokens
      type: oauth2

````